StartupEvents.registry("block", event => {
    event.create("mysteriousobject")
    .displayName("Mysterious Object")
    .material("stone")
    .hardness(1)
    .resistance(10)
    .requiresTool(false)
    event.create("tickblock")
    .displayName("§l§cTick block ")
    .material("stone")
    .hardness(1)
    .resistance(10)
    .requiresTool(false)
    event.create("stoneoftime")
    .displayName("Stone Of Time")
    .material("stone")
    .texture(Direction.DOWN, "kubejs:block/stoneoftime")
    .hardness(1)
    .resistance(10)
    .requiresTool(false)

})
StartupEvents.registry("item", event => {
    event.create("mysteriousitem")
    .displayName("§6Mysterious Item")
    event.create("fallenitem")
    .displayName("§6Mysterious Item")
    event.create("tick")
    .displayName("§l§cTick")
    event.create('mysterious_sword', 'sword').tier('netherite').attackDamageBaseline(15).displayName("mysterious Sword")
    event.create("bluemetal_helmet", "helmet")
    .tier("netherite")
    .displayName("bluemetal helmet")
    event.create("cretaceouscatalyst")
    .displayName("§6Cretaceous Catalyst")
    event.create("cretaceousfragment1")
    .displayName("§6Cretaceous fragment 1")
    event.create("cretaceousfragment2")
    .displayName("§6Cretaceous fragment 2")
    event.create("cretaceousfragment3")
    .displayName("§6Cretaceous fragment 3")
    event.create("cretaceousfragment4")
    .displayName("§6Cretaceous fragment 4")    
})
StartupEvents.registry("item", (event) => {
    event.create("test_crossbow", "crossbow")
    .attackDamageBaseline(20)
    .displayName("carrot bow")
    event.create("test_fishingrod", "fishingrod")
    event.create("test_paxel", "paxel")
    event.create("bluemetalscythe", "scythe")
    .tier("netherite")
    .attackDamageBaseline(15)
    .displayName("§l§4Bluemetal Scythe")
    event.create("test_shear", "shears")
    event.create("test_sickle", "sickle")
    event.create("test_wateringcan", "wateringcan")
})
